/*
  @file CGuiCore.h
  @brief GUIݡͥȤΥᥤ󥯥饹
  @author AdIn Research,Inc
  @date 2007/03/27
*/

#ifndef __C_GUI_CORE_H__
#define __C_GUI_CORE_H__

#include <gtk/gtk.h>
#include "GUI.h"

class CGuiCore
{
public:
  GtkWidget* m_txWinFunc;
  GtkWidget* m_txLowerLim;
  GtkWidget* m_txUpperLim;
  GtkWidget* m_txPowerDev;
  GtkWidget* m_txBetaDir;
  GtkWidget* m_txTalker;
  GtkWidget* m_txResult;
  GtkWidget* m_barStat;

private:
  GUI*       m_pGUIComp;
  int        m_iTalker;

public:
  CGuiCore( void );
  ~CGuiCore( void );

  // ưؿ
  void Run( void );

  // ϥɥؿ
  void OnActivate( GUI* pGUIComp );
  void OnGetSound( void );
  void OnGetPower( void );
  void OnDestroy( GtkObject* pObject, gpointer user_data );
  void OnSetParamButtonClicked( GtkButton* pButton, gpointer user_data );
  void OnFileButtonClicked( GtkButton* pButton, gpointer user_data );
  void OnMicButtonClicked( GtkButton* pButton, gpointer user_data );

private:
  void SetEntryText( GtkWidget* pEntry, const gchar* pText );
  void Status( const gchar* pMessage );
  void Result( const gchar* pMessage );
  int GetTalkerID( char* sPath );
  static void GetPath( GtkFileSelection* sel, gpointer user_data );
};

#endif // __C_GUI_CORE_H__

