// -*-C++-*-
/*!
 * @file  TalkerMngSVC_impl.cpp
 * @brief Service implementation code of TalkerMng.idl
 * @date  $Date: 2007/01/11 07:44:39 $
 *
 * $Id: cxx_svc_impl.py,v 1.3 2007/01/11 07:44:39 n-ando Exp $
 */
#include <rtm/CORBA_SeqUtil.h>
#include "TalkerMngSVC_impl.h"

/*
 * Example implementational code for IDL interface TalkerMng
 */
TalkerMngSVC_impl::TalkerMngSVC_impl()
{
  // Please add extra constructor code here.
}


TalkerMngSVC_impl::~TalkerMngSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
CORBA::Long TalkerMngSVC_impl::GetID(const char* sName)
{
  return (CORBA::Long)m_cTable.GetID( sName );
}

char* TalkerMngSVC_impl::GetName(CORBA::Long lID)
{
  return CORBA::string_dup( m_cTable.GetName( (int)lID ) );
}



// End of example implementational code



